Create Cheque

Create a cheque.

This endpoint allows you to create a new cheque with the specified details.

If you would like to create a digitalOnly cheque, the digitalOnly object with the watermark will need to be passed in. Feature is available on request, e-mail [email protected] for access.

Example request body:

{
  "from": "contact_123",
  "bankAccount": "bank_123",
  "amount": 1000,
  "currencyCode": "USD",
  "number": 123456,
  "size": "us_letter",
  "digitalOnly": {
    "watermark": "VOID"
  }
}
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params

The details of the cheque to create.

mergeVariables
object

These will be merged with the variables in the template or HTML you create this order with. The keys in this object should match the variable names in the template exactly as they are case-sensitive. Note that these do not apply to PDFs uploaded with the order.

string

An optional string describing this resource. Will be visible in the API and the dashboard.

metadata
object

See the section on Metadata.

date-time

This order will transition from ready to printing on the day after this date. You can use this parameter to schedule orders for a future date.

string
enum

The mailing class of this order. If not provided, automatically set to first_class.

required

The recipient of this order. You can either supply the contact information inline here or provide a contact ID. PostGrid will automatically deduplicate contacts regardless of whether you provide the information inline here or call the contact creation endpoint.

string
required

The bank account (ID) associated with the cheque.

int32
required

The amount of the cheque in cents.

string

The memo of the cheque.

string

The message of the cheque.

uri

An optional logo URL for the cheque. This will be placed next to the recipient address at the top left corner of the cheque. This needs to be a public link to an image file (e.g. a PNG or JPEG file).

int32

The number of the cheque. If you don't provide this, it will automatically be set to an incrementing number starting from 1 across your entire account, ensuring that every cheque has a unique number.

enum

The envelope of the cheque. If a custom envelope ID is not specified, defaults to standard.

digitalOnly
object

The digitalOnly object contains data for digital-only cheques. A watermark must be provided.

required

The contact information of the sender. You can pass contact information inline here just like you can for the to.

Providing this inserts a blank page at the start of the cheque with the recipient you provide here. This leaves the cheque that follows intact, which means you can use this to intercept at cheque at the redirected address and then mail it forward to the final recipient yourself. One use case for this is signing cheques at your office before mailing them out yourself.

string
enum
Defaults to us_letter

Enum representing the supported cheque sizes.

Allowed:
enum

The currency code of the cheque. This will be set to the default currency of the bank account (USD for US bank accounts and CAD for Canadian bank accounts) if not provided. You can set this value to USD if you want to draw USD from a Canadian bank account or vice versa.

Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json